import logging
from langchain.chat_models import init_chat_model

from gtagger.config import get_config

log = logging.getLogger(__name__)

def get_model_from_config(config=None):
        """
        Inizializza il modello LLM usando il provider appropriato
        in base alla configurazione.
        """
        config = config or get_config()
        provider = "google_genai" if config.env == "development" else "google_vertexai"
        log.debug(f"Inizializzo modello con provider {provider}")
        return init_chat_model(config.model, model_provider=provider)
        # try:
        #     return init_chat_model(config.model, model_provider=provider)
        # except:
        #     log.warning("Vertex not started")
